You are not logged in.

#1 2021-11-05 07:35:21

ABOhiccups
Member
Registered: 2017-08-27
Posts: 62

[REQUEST] Slippi Launcher

Can anyone add Slippi Launcher to AUR?

It's an AppImage Version. It has it's own launcher with user login and settings. Alone with a modify Dolphin Emulator (same version from slippi-online-git)

While making AUR Package. Can you please add Desktop File too (if possible)?

URL: https://slippi.gg/

Download: https://github.com/project-slippi/slipp … 4.AppImage

Offline

#2 2021-11-10 07:44:47

ABOhiccups
Member
Registered: 2017-08-27
Posts: 62

Re: [REQUEST] Slippi Launcher

I need help create a PKGBUILD file. I run a test with a PKGBUILD file I created. I ran into error. Is there something I missed?

# Maintainer: ABOhiccups
pkgname=slippi-launcher
pkgver=2.1.6
pkgrel=1
pkgdesc="The Slippi Launcher acts as a one stop shop for everything Slippi related. It handles updating Slippi Dolphin, playing Slippi Online, launching and analyzing replays, and more."
arch=('x86_64')
url="https://slippi.gg/"
license=('GPL3')
depends=('alsa-lib' 'bluez-libs' 'enet' 'gcc-libs' 'glibc' 'hidapi' 'libavcodec.so=58-64' 'libavformat.so=58-64' 'libavutil.so=56-64' 'libcurl.so=4-64' 'libevdev' 'libgl' 'libminiupnpc.so=17-64' 'libpng' 'libpulse' 'libswscale.so=5-64' 'libudev.so=1-64' 'libusb-1.0.so=0-64' 'libx11' 'libxi' 'libxrandr' 'lzo' 'mbedtls' 'pugixml' 'qt5-base' 'sfml' 'zlib' 'pulseaudio' 'cmake' 'git' 'ninja' 'python')
_url="https://github.com/project-slippi/$pkgname/releases"
_package="Slippi-Launcher-$pkgver-$arch.AppImage"
source=("$_package::$_url/download/v$pkgver/$_package")
md5sums=('c9e4c9d565dd7a98323777e6ae2af68a')

prepare() {
	chmod +x "$_package"
	$srcdir/$_package --appimage-extract
	printf "[Desktop Entry]\nVersion=$pkgver\nName=Slippi Launcher\nComment=Super Smash Bros. Melee rollback netcode\nPath=/usr/local/bin\nExec=slippi-launcher\nIcon=slippi-launcher\nType=Application\nCategories=Game\nKeywords=slippi;melee;rollback\n" > "$pkgname.desktop"
}

package() {
	install -Dm755 "$srcdir/$_package" "$pkgdir/usr/local/bin/$pkgname"
	install -Dm644 "squashfs-root/usr/share/icons/hicolor/512x512/apps/$pkgname.png" "$pkgdir/usr/share/pixmaps/$pkgname.png"
	install -Dm644 "$pkgname.desktop" "/usr/local/share/applications/$pkgname.desktop"
}

Last edited by ABOhiccups (2021-11-10 10:01:25)

Offline

#3 2021-11-10 08:51:32

a821
Member
Registered: 2012-10-31
Posts: 285

Re: [REQUEST] Slippi Launcher

Always post the error messages.

At a glance, the depends array is wrong. You need to decide between the lib soname or the package, for example, 'libavcodec.so=58-64 (ffmpeg)' should be either 'ffmpeg' or 'libavcodec.so=58-64'. Using the package (ffmpeg) should be fine in most cases.

Offline

#4 2021-11-10 10:03:18

ABOhiccups
Member
Registered: 2017-08-27
Posts: 62

Re: [REQUEST] Slippi Launcher

I got everything install. Except .desktop file. I get this error when trying to copy a .desktop file over to applications folder.

install: cannot create regular file '/usr/local/share/applications/slippi-launcher.desktop': Permission denied
==> ERROR: A failure occurred in package().
# Maintainer: ABOhiccups
pkgname=slippi-launcher
pkgver=2.1.6
pkgrel=1
pkgdesc="The Slippi Launcher acts as a one stop shop for everything Slippi related. It handles updating Slippi Dolphin, playing Slippi Online, launching and analyzing replays, and more."
arch=('x86_64')
url="https://slippi.gg/"
license=('GPL3')
depends=('alsa-lib' 'bluez-libs' 'enet' 'gcc-libs' 'glibc' 'hidapi' 'libavcodec.so=58-64' 'libavformat.so=58-64' 'libavutil.so=56-64' 'libcurl.so=4-64' 'libevdev' 'libgl' 'libminiupnpc.so=17-64' 'libpng' 'libpulse' 'libswscale.so=5-64' 'libudev.so=1-64' 'libusb-1.0.so=0-64' 'libx11' 'libxi' 'libxrandr' 'lzo' 'mbedtls' 'pugixml' 'qt5-base' 'sfml' 'zlib' 'pulseaudio' 'cmake' 'git' 'ninja' 'python')
_url="https://github.com/project-slippi/$pkgname/releases"
_package="Slippi-Launcher-$pkgver-$arch.AppImage"
source=("$_package::$_url/download/v$pkgver/$_package")
md5sums=('c9e4c9d565dd7a98323777e6ae2af68a')

prepare() {
	chmod +x "$_package"
	$srcdir/$_package --appimage-extract
	printf "[Desktop Entry]\nVersion=$pkgver\nName=Slippi Launcher\nComment=Super Smash Bros. Melee rollback netcode\nPath=/usr/local/bin\nExec=slippi-launcher\nIcon=slippi-launcher\nType=Application\nCategories=Game\nKeywords=slippi;melee;rollback\n" > "$pkgname.desktop"
}

package() {
	install -Dm755 "$srcdir/$_package" "$pkgdir/usr/local/bin/$pkgname"
	install -Dm644 "squashfs-root/usr/share/icons/hicolor/512x512/apps/$pkgname.png" "$pkgdir/usr/share/pixmaps/$pkgname.png"
	install -Dm644 "$pkgname.desktop" "/usr/local/share/applications/$pkgname.desktop"
}

Last edited by ABOhiccups (2021-11-10 10:07:34)

Offline

#5 2021-11-10 10:39:52

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 14,478

Re: [REQUEST] Slippi Launcher

You forgot to put a relevant third $pkgdir in the desktop file copying line.

Also packages should never populate /usr/local. Use /usr/bin.

Online

#6 2021-11-10 10:43:39

ABOhiccups
Member
Registered: 2017-08-27
Posts: 62

Re: [REQUEST] Slippi Launcher

I got it working! I will move install files from /usr/local/... to /usr/...

Offline

#7 2021-11-16 09:06:17

ABOhiccups
Member
Registered: 2017-08-27
Posts: 62

Re: [REQUEST] Slippi Launcher

I'm looking for anyone who can keep slippi-launcher up-to-date on AUR Repository.

Please with me know alone with instructions how to add you on AUR Package Maintain list.

Offline

Board footer

Powered by FluxBB